Page MenuHomeMiraheze

Varnish wiping Transfer-Encoding leading into slowness
Closed, ResolvedPublic

Description

Special:CentralAutoLogin/(start|checkLoggedIn) and such (I thought this happens when saving pages too) send 302 responses with a Location header and a Transfer-Encoding, but without a Content-Length header. This is correct behaviour, but due to this bug, Transfer-Encoding is being wiped by Varnish, with as result nginx and curl are waiting 5 seconds for a response before they move on.

The result is that responses from nginx are being very slow. Solution seems to use the external APT repo.

Event Timeline

This was actually never really a problem for nginx, until I set proxy_http_version 1.1; and proxy_set_header Connection ""; for all proxy instances.

As a temp fix until Varnish has been upgraded, I'll revert that.

Southparkfan lowered the priority of this task from High to Low.May 9 2016, 16:46
Southparkfan removed Southparkfan as the assignee of this task.Sep 21 2016, 15:10
Redtmr1 closed this task as Resolved.Jun 21 2017, 00:54
Redtmr1 claimed this task.
Void reopened this task as Open.Jun 21 2017, 02:10
Void removed Redtmr1 as the assignee of this task.
Void added subscribers: Redtmr1, Void.

No indication that this has been fixed

John added a subscriber: John.

Stretch has Varnish 5 which seems to be a version where a fix for this has been applied.

Paladox added a subscriber: Paladox.Apr 13 2018, 02:38

We have upgraded cp2, cp4 and cp5 to stretch which has varnish 5 now.

John closed this task as Resolved.Apr 13 2018, 08:56
John claimed this task.

Wording implies V5 is a fix without further action.